## Properties

padding | undefined | {left: 5, top: 5, right: 5, bottom: 5}
backgroundColor | string | #F5F5F5
borderColor | string | #E5E5E5
value | object | {}
template | undefined |

## Events

formDataChange | Event |
buttonclick | Event |

## Methods

getInstance | Method |

Parameters
None

Return Value
object

refresh | Method |

Parameters
None

Return Value
None

destroy | Method |

Parameters
None

Return Value
None

hideComponent | Method |

Parameters
Name | Type | Description
name | string |

Return Value
None

showComponent | Method |

Parameters
Name | Type | Description
name | string |

Return Value
None

val | Method |

Sets or gets the value of the object to bind to the form.

Parameters
Name | Type | Description
value | object | undefined

Return Value
object

submit | Method |

Submits the form.

Parameters
Name | Type | Description
action | string | undefined
target | string | undefined
method | string | undefined

Return Value
None

getComponentByName | Method |

Gets a form input element by name.

Parameters
Name | Type | Description
name | string | undefined

Return Value
Object